Bug 66554 - missing api to use aggregated progress handles in custom components
missing api to use aggregated progress handles in custom components
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Progress
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Milos Kleint
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 07:46 UTC by Milos Kleint
Modified: 2008-12-23 00:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed changes (2.60 KB, patch)
2005-10-12 08:54 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2005-10-12 07:46:18 UTC
somehow it's not possible to put the aggregated handle into custom component.
an equivalent to ProgressHandleFactory.createProgressComponent() needs to be created
Comment 1 Milos Kleint 2005-10-12 08:54:41 UTC
Created attachment 25836 [details]
proposed changes
Comment 2 Milos Kleint 2005-10-12 08:56:28 UTC
please review this small change to core/progress

a new method AggregatedProgressFactory.createProgressComponent() was added.

the change is backward compatible. diff attached.
Comment 3 Milos Kleint 2005-10-19 10:03:25 UTC
about to integrate
Comment 4 Milos Kleint 2005-10-19 12:13:27 UTC
done.
Comment 5 Jaromir Uhrik 2006-01-16 15:43:36 UTC
Marking this issue as VERIFIED since the issue reporter == issue owner.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo